IF OBJECT_ID('dbo.fco_integrada_rt04') IS NOT NULL
    DROP TABLE dbo.fco_integrada_rt04
GO
CREATE TABLE dbo.fco_integrada_rt04
-- Planilla Integrada Registro Tipo 4
-- Total Aportes del Período a Salud por Administradora
(
    compania char(4) NOT NULL,
    anio smallint NOT NULL,
    mes tinyint NOT NULL,
    sucursal varchar(10) NOT NULL,
    tipo_planilla char(1) NOT NULL DEFAULT 'E',
    cod_EPS char(10) NOT NULL,
    secuencia smallint NOT NULL,
    nit varchar(16) NOT NULL,
    dv char(1) NOT NULL,
    suma_aportes decimal(10) NOT NULL,
    suma_UPC decimal(10) NOT NULL,
    nro_aut_IGE varchar(15) NOT NULL,
    suma_aut_IGE decimal(10) NOT NULL,
    nro_aut_LMA varchar(15) NOT NULL,
    suma_aut_LMA decimal(10) NOT NULL,
    neto_aportes AS suma_aportes - suma_aut_IGE - suma_aut_LMA,
    dias_mora smallint NOT NULL,
    int_mora_aportes decimal(10) NOT NULL,
    int_mora_UPC decimal(10) NOT NULL,
    subtotal_aportes AS suma_aportes - suma_aut_IGE - suma_aut_LMA + int_mora_aportes,
    subtotal_UPC AS suma_UPC + int_mora_UPC,
    nro_radicacion varchar(10) NOT NULL,
    saldo_favor_aportes decimal(10) NOT NULL,
    saldo_favor_UPC decimal(10) NOT NULL,
    total_aportes AS suma_aportes - suma_aut_IGE - suma_aut_LMA + int_mora_aportes - saldo_favor_aportes,
    total_UPC AS suma_UPC + int_mora_UPC - saldo_favor_UPC,
    total_pagar AS suma_aportes - suma_aut_IGE - suma_aut_LMA + int_mora_aportes - saldo_favor_aportes + 
                   suma_UPC + int_mora_UPC - saldo_favor_UPC,
    FOSYGA decimal(10) NOT NULL,
    total_afiliados decimal(6) NOT NULL,
    origen tinyint not null default 0,
    CONSTRAINT pk_fco_integrada_rt04 PRIMARY KEY NONCLUSTERED (compania, anio, mes, sucursal, tipo_planilla, cod_EPS)
)
GO
GRANT ALL ON dbo.fco_integrada_rt04 TO PUBLIC
GO
